import {
  AppBar, Tab, Tabs, Toolbar,
} from '@material-ui/core';
import React, { useState } from 'react';
import { useHistory } from 'react-router';

interface AppBarMenuItem {
  title: string;
  redirectTo: string;
}

const MENU_ITEMS: AppBarMenuItem[] = [
  {
    title: 'Home',
    redirectTo: '/',
  },
  {
    title: 'News',
    redirectTo: '/news',
  },
];

const Header: React.FC = () => {
  const [value, setValue] = useState(0);
  const history = useHistory();
  return (
    <AppBar position="static">
      <Toolbar>
        <Tabs
          value={value}
          onChange={(event, val) => {
            setValue(val);
          }}
        >
          {MENU_ITEMS.map((item) => (
            <Tab
              label={item.title}
              onClick={() => {
                history.push(item.redirectTo);
              }}
            />
          ))}
        </Tabs>
      </Toolbar>
    </AppBar>
  );
};

export default Header;
